For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet mailboxes
      • POSTCreate a mailbox
      • POSTGet mailboxes by IDs
      • DELDelete a mailbox
LogoLogo
API StatusPartner Portal
UtilitiesMailboxes

Create a mailbox

POST
/mailboxes
POST
/v1/mailboxes
$curl -X POST https://api.sandbox.monite.com/v1/mailboxes \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "mailbox_domain_id": "mailbox_domain_id",
> "mailbox_name": "mailbox_name",
> "related_object_type": "payable"
>}'
1{
2 "id": "id",
3 "mailbox_full_address": "mailbox_full_address",
4 "mailbox_name": "mailbox_name",
5 "related_object_type": "related_object_type",
6 "status": "status",
7 "mailbox_domain_id": "mailbox_domain_id"
8}
Create a new mailbox
Was this page helpful?
Previous

Get mailboxes by IDs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
mailbox_domain_idstringRequiredformat: "uuid"
mailbox_namestringRequired
related_object_typeenumRequired

Related object type: payable and so on

Allowed values:

Response

Successful Response
idstringformat: "uuid"
Mailbox UUID
mailbox_full_addressstring
mailbox_namestring
related_object_typestring
statusstring
mailbox_domain_idstringformat: "uuid"

Errors

401
Post Mailboxes Request Unauthorized Error
403
Post Mailboxes Request Forbidden Error
409
Post Mailboxes Request Conflict Error
422
Post Mailboxes Request Unprocessable Entity Error
429
Post Mailboxes Request Too Many Requests Error